D4Science Infrastructure - Task #10351

404 error of Apache tomcat
Nov 15, 2017 03:04 PM - Lionel Tadonfouet

Status: Closed Start date: Nov 15, 2017
Priority: Urgent Due date:

Assignee: Lionel Tadonfouet % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

Hi Massimiliano,

| have an issue on the actual running environment of SSK (http:/ssk-application.parthenos.d4science.org/ssk/), where it's not
possible to access a resource (page or specific path like
http://ssk-application.parthenos.d4science.org/ssk/scenario/sc_statisticalAnalysisOccupations) from the adress bar of browser, |
have the 404 error of Apache tomcat. But all those resources are accessible from the application by clicking on links.

History

#1 - Nov 15, 2017 03:53 PM - Massimiliano Assante

- Status changed from New to In Progress

#2 - Nov 15, 2017 03:58 PM - Massimiliano Assante

- Tracker changed from Bug to Support

- Project changed from 31 to D4Science Infrastructure

- Assignee changed from Massimiliano Assante to _InfraScience Systems Engineer

- Target version changed from Silver Integration to UnSprintable

| reproduced the issued, | suspect it is sth about the nginx configuration, I'm reassign the ticket to the sysadmins

#3 - Nov 15, 2017 04:25 PM - Andrea Dell'’Amico
- Assignee changed from _InfraScience Systems Engineer to Lionel Tadonfouet

- Infrastructure Production added

The web browser proxies /ssk without exception, the 404 is returned by tomcat. It seems that the app does something different than simply redirect to

a URL, because if | go to http://ssk-application.parthenos.d4science.org/ssk/scenario/sc_statisticalAnalysisOccupations from the home page (and the
link displays successfully) and | reload the page, a 404 is returned.

#4 - Dec 04, 2017 12:59 PM - Pasquale Pagano
- Tracker changed from Support to Task

- Status changed from In Progress to Closed

I am closing this issue since it is opened for 19 days without any feedback.
